diff --git a/web/pgadmin/utils/sqlautocomplete/autocomplete.py b/web/pgadmin/utils/sqlautocomplete/autocomplete.py
index 84a0bd9..7b5b1bf 100644
--- a/web/pgadmin/utils/sqlautocomplete/autocomplete.py
+++ b/web/pgadmin/utils/sqlautocomplete/autocomplete.py
@@ -116,16 +116,22 @@ class SQLAutoComplete(object):
 
         self.search_path = []
         schema_names = []
-        # Fetch the search path
         if self.conn.connected():
+            # Fetch the search path
             query = render_template(
                 "/".join([self.sql_path, 'schema.sql']), search_path=True)
             status, res = self.conn.execute_dict(query)
             if status:
                 for record in res['rows']:
-                    schema_names.append(record['schema'])
                     self.search_path.append(record['schema'])
 
+            # Fetch the schema names
+            query = render_template("/".join([self.sql_path, 'schema.sql']))
+            status, res = self.conn.execute_dict(query)
+            if status:
+                for record in res['rows']:
+                    schema_names.append(record['schema'])
+
             pref = Preferences.module('sqleditor')
             keywords_in_uppercase = \
                 pref.preference('keywords_in_uppercase').get()
